﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Data;
using System.Runtime.InteropServices;
using System.Linq;
using System.Text;

namespace PDF417DecodeCSharpSample
{
    class DllInterface
    {
          [StructLayout(LayoutKind.Sequential)]
          public struct Result {  
            public IntPtr pData;
            public int nSize;  
            [MarshalAs(UnmanagedType.ByValArray, SizeConst = 4)]
            public System.Drawing.Point[] ptCorner;
          }
          [DllImport("PDF417DecodeDll.dll", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]
          public static extern Int32 LoadImageEx(string lpImageFile);
          [DllImport("PDF417DecodeDll.dll", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]
          public static extern IntPtr PDF417DecodeBitmap(Int32 hImage);
          [DllImport("PDF417DecodeDll.dll", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]
          public static extern IntPtr PDF417DecodeImageFile(string pImageFile);
          [DllImport("PDF417DecodeDll.dll", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]
          public static extern bool PDF417ReaderRegister(string pMailBox, string pRegCode);
          [DllImport("PDF417DecodeDll.dll", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]
          public static extern void PDF417Free(IntPtr pResult);
    }
    
}
